webdevqa.jp.net

ハッシュ文字列「Android-24」のターゲットが見つかりませんでした

enter image description here

すべてのGoogleライブラリを24.0.0に変更し、compileSdkVersionおよびtargetSdkVersionを24に変更すると、このエラーが発生します。添付の​​画像でわかるように、すべてAndroid N個のパッケージですが、「Partially installed」というスタンドのみがあります。これを修正するにはどうすればよいですか?

enter image description here

enter image description here

9
DropArt

現時点では、24のtargetSdkVersionも、24のcompileSdkVersionもありません。 Androidの次のバージョンが出荷されたとき、これらは有効な値です(おそらく)。

ここでの私の作業 に基づくN Developer Previewの場合、次を使用します。

  • compileSdkVersion 'Android-N'
  • buildToolsVersion '24.0.0 rc1'
  • targetSdkVersion 'N'

Gradle 2.10以降も必要です(gradle/wrapper/gradle-wrapper.propertiesファイルまたはスタンドアロンGradleインストール)および'com.Android.tools.build:gradle:2.1.0-alpha1'(トップレベルのbuild.gradleファイル)。

20
CommonsWare

私のために働いた:1. SDKマネージャーで不足しているプラ​​ットフォームを手動でインストールする2. RESTART Android Studio

4
Marriage

以下は私のために働いた:

  • Android Studioを最新に更新
  • 再起動Android Studio
  • ASは、欠落しているプラ​​ットフォームプラグインをインストールするオプションを提供します
  • クリックして更新します。
1
Venkat Kotra